(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,248,412);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,159,43);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,162,38);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,136,50);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,164,32);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,167,45);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,219,356);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,92,50);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,160,43);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,50);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,80,50);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,121,50);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,162,32);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,154,43);


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Symbol1();
	this.instance.setTransform(83.5,22.5,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(1.5,6.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,22.5,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(15.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,25,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,50);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(2.5,3.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,22.5,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(4,1);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,22.5,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(6.5,1);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,22.5,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(2.5,6.5);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,22.5,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(23,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,25,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,50);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(43.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,25,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,50);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(37,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,25,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,50);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(37.5,0);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,25,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,50);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(3.5,1);

	this.instance_1 = new lib.Symbol2();
	this.instance_1.setTransform(83.5,22.5,1,1,0,0,0,83.5,22.5);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,167,45);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '32207',
			title: 'Podziel symbole na szkolne i narodowe. Ich nazwy zapisane są wspak.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			groupdrags: {		
				1: ['1', '2', '3', '4', '5', '6'],
				2: ['7', '8', '9', '10', '11'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '1',	
				/*drop_5:*/ '1',	
				/*drop_6:*/ '1',	
				/*drop_7:*/ '2',	
				/*drop_8:*/ '2',	
				/*drop_9:*/ '2',		
				/*drop_10:*/ '2',		
				/*drop_11:*/ '2',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_11 = new lib.Symbol2();
	this.drop_11.setTransform(882.5,462,1,1,0,0,0,83.5,22.5);

	this.drop_10 = new lib.Symbol2();
	this.drop_10.setTransform(882.5,407,1,1,0,0,0,83.5,22.5);

	this.drop_9 = new lib.Symbol2();
	this.drop_9.setTransform(882.5,352,1,1,0,0,0,83.5,22.5);

	this.drop_8 = new lib.Symbol2();
	this.drop_8.setTransform(882.5,297,1,1,0,0,0,83.5,22.5);

	this.drop_7 = new lib.Symbol2();
	this.drop_7.setTransform(882.5,243,1,1,0,0,0,83.5,22.5);

	this.drop_6 = new lib.Symbol2();
	this.drop_6.setTransform(442.5,517,1,1,0,0,0,83.5,22.5);

	this.drop_5 = new lib.Symbol2();
	this.drop_5.setTransform(442.5,462,1,1,0,0,0,83.5,22.5);

	this.drop_4 = new lib.Symbol2();
	this.drop_4.setTransform(442.5,407,1,1,0,0,0,83.5,22.5);

	this.drop_3 = new lib.Symbol2();
	this.drop_3.setTransform(442.5,352,1,1,0,0,0,83.5,22.5);

	this.drop_2 = new lib.Symbol2();
	this.drop_2.setTransform(442.5,297,1,1,0,0,0,83.5,22.5);

	this.drop_1 = new lib.Symbol2();
	this.drop_1.setTransform(442.5,243,1,1,0,0,0,83.5,22.5);

	this.drag_6 = new lib.Symbol13();
	this.drag_6.setTransform(1083.5,583.1,1,1,5,0,0,83.5,22.6);

	this.drag_11 = new lib.Symbol12();
	this.drag_11.setTransform(1102.8,452.8,1,1,-5,0,0,83.5,25.1);

	this.drag_10 = new lib.Symbol11();
	this.drag_10.setTransform(1169.6,381.5,1,1,3,0,0,83.5,22.5);

	this.drag_9 = new lib.Symbol10();
	this.drag_9.setTransform(1112.7,310.4,1,1,-10,0,0,83.5,22.5);

	this.drag_5 = new lib.Symbol9();
	this.drag_5.setTransform(678.1,508,1,1,5,0,0,83.5,22.5);

	this.drag_4 = new lib.Symbol8();
	this.drag_4.setTransform(640.2,394.2,1,1,-5,0,0,83.5,22.4);

	this.drag_8 = new lib.Symbol7();
	this.drag_8.setTransform(670.8,304.4,1,1,3,0,0,83.5,25);

	this.drag_3 = new lib.Symbol6();
	this.drag_3.setTransform(211.8,532.8,1,1,-3,0,0,83.5,24.9);

	this.drag_2 = new lib.Symbol5();
	this.drag_2.setTransform(115.3,461.6,1,1,5,0,0,83.5,25);

	this.drag_1 = new lib.Symbol4();
	this.drag_1.setTransform(139.3,296.2,1,1,-6,0,0,83.5,25.1);

	this.drag_7 = new lib.Symbol3();
	this.drag_7.setTransform(204.9,383.7,1,1,5,0,0,83.5,22.5);

	this.instance = new lib.Bitmap2();
	this.instance.setTransform(770.5,128.7);

	this.instance_1 = new lib.Bitmap1();
	this.instance_1.setTransform(321.9,127.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance},{t:this.drag_7},{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_8},{t:this.drag_4},{t:this.drag_5},{t:this.drag_9},{t:this.drag_10},{t:this.drag_11},{t:this.drag_6},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(30.2,127.5,1224,485.2);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(670.2,487.5,1224,485.2);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;